Subject: [alpine-aports] [PATCH] testing/xmlsec: new aport

From: Sander Maijers <[email-masked]>
Date: Thu, 3 Sep 2015 16:03:44 +0200

https://www.aleksey.com/xmlsec
 Provides a C based implementation for XML Signature Syntax and
Processing and XML Encryption Syntax and Processing.
---
 testing/xmlsec/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/xmlsec/APKBUILD

diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
new file mode 100644
index 0000000..adfe180
--- /dev/null
+++ b/testing/xmlsec/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Sander Maijers <[email-masked]>
+# Maintainer: Sander Maijers <[email-masked]>
+pkgname='xmlsec'
+pkgver='1.2.20'
+pkgrel='0'
+pkgdesc="Provides a C based implementation for XML Signature Syntax
and Processing and XML Encryption Syntax and Processing."
+url="https://www.aleksey.com/${pkgname}"
+arch="all"
+license="MIT"
+depends="libxml2 libxslt openssl libltdl"
+depends_dev=
+makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
+install=
+subpackages="${pkgname}-dev ${pkgname}-doc"
+source="${url}/download/${pkgname}1-${pkgver}.tar.gz"
+_builddir="${srcdir}/${pkgname}1-${pkgver}"
+
+prepare() {
+    :
+}
+
+build() {
+    cd "${_builddir}" &&
+    './configure' \
+     --build="$CBUILD" \
+ --disable-static \
+ --enable-pkgconfig \
+ --host="$CHOST" \
+ --prefix='/usr' \
+ --with-default-crypto='openssl' &&
+    make || return 1
+}
+
+check() {
+    cd "${_builddir}" &&
+    make -k check || return 1
+}
+
+package() {
+    cd "${_builddir}" &&
+    make DESTDIR="${pkgdir}" install || return 1
+    [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
+    install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
+    install -m644 'COPYING'
"${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}
+
+md5sums="ce12af00283eb90d9281956524250d6e  xmlsec1-1.2.20.tar.gz"
+sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305
 xmlsec1-1.2.20.tar.gz"
+sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5
 xmlsec1-1.2.20.tar.gz"
-- 
2.5.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Sat, 5 Sep 2015 14:24:39 +0200

On Thu, 3 Sep 2015 16:03:44 +0200

>  create mode 100644 testing/xmlsec/APKBUILD

Thanks.

Did you send this patch with git send-email via gmail?

It seems that gmail reformat emails (wrapping some long lines) so the
patch does not apply. I edited manually and then cleaned up minor
things.

See comments below.

-nc

> +++ b/testing/xmlsec/APKBUILD

Something has wrapped the above line. Normally we prefer having a
description that is shorter.

> +depends="libxml2 libxslt openssl libltdl"

You don't need add the above depedencies (unless it
needs /usr/bin/openssl at runtime). abuild will automatically detect
the dependencies for shared libs.

> + --with-default-crypto='openssl' &&

Indent does not look good.

> +    make -k check || return 1

We don't (yet) have any way to run check.

> +sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5

checksumlines were wrapped.

-nc

---

---

From: Sander Maijers <[email-masked]>
Date: Mon, 14 Sep 2015 13:35:42 +0200

Hi Natanael,

Thanks for accepting the new aport.

> patch does not apply. I edited manually and then cleaned up minor
Thanks. I will send them as attachments in the future (if that isn't
rejected). Right now, I'm a bit hesitant to add plugins to git that
can send e-mail (making my configuration more complex and possibly
decreasing my workstation's security).

> description that is shorter.
The description, though longish, contains valuable (even critical)
information about what exactly is implemented in this software. The
Arch Linux description, for example, is poor IMO:
"XML Security Library is a C library based on LibXML2"

> the dependencies for shared libs.
Okay, that's great. Is this documented?

Important note: I am not sure whether a certain issue still exists
that I had during testing this aport. See
http://bugs.alpinelinux.org/issues/4554#note-2
There may be some interaction between that issue and the dependency
specification for the aport.

> We don't (yet) have any way to run check.
I thought so, but at least one aport provides it as well and it seems
usefull to keep this code around.

> checksumlines were wrapped.
Must say that running a command that automatically adds the hash
values as advised here
(http://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package#Build_the_package),
whereas I did it by hand, kind of defeats the purpose of having them
(for integrity checking against tampering, at least). Not that there
is an easy solution for it...

---